#ifndef PATHFINDER_H
#define PATHFINDER_H

#include <vector>
#include "graph.h"

class PathFinder
{
public:
    PathFinder();
    static std::vector<GraphNode*> a_star(GraphNode* start,GraphNode* goal);
};

struct PriorityNode
{
    std::pair<GraphNode*, float> node;
    bool operator<(PriorityNode other) const
    {
        return node.second < other.node.second;
    }
};

#endif // PATHFINDER_H
